<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package LZ Fitness Premium
 */ 

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link href="https://fonts.googleapis.com/css?family=Roboto:700" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Roboto+Condensed:300,300i,400,400i,700,700i" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i,800,800i" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Dancing+Script" rel="stylesheet">
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>

	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <div class="main-container">
		<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'negocio-business' ); ?></a>
		<header class="site-header header-transparent header mo-left header-seo">

		<div class="medal-header">
				<div class="container">
				<div class="col-md-4 col-sm-12 padding0">
					<?php 
							if( get_theme_mod('pages_logoTmargin',true) ) {
				                $pages_logoTmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTmargin')).';';
				            }
				            if( get_theme_mod('pages_logoBmargin',true) ) {
				                $pages_logoBmargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logoBmargin')).';';
				            }
				            if( get_theme_mod('pages_logoLmargin',true) ) {
				                $pages_logoLmargin = 'margin-left:'.esc_attr(get_theme_mod('pages_logoLmargin')).';';
				            }
				            if( get_theme_mod('pages_logoRmargin',true) ) {
				                $pages_logoRmargin = 'margin-right:'.esc_attr(get_theme_mod('pages_logoRmargin')).';';
				            }
	 					?>
					<div class="logobox"  style="<?php echo esc_attr($pages_logoTmargin); ?>" "<?php echo esc_attr($pages_logoBmargin); ?>" "<?php echo esc_attr($pages_logoLmargin); ?>" "<?php echo esc_attr($pages_logoRmargin); ?>">
						<?php 
						if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
							the_custom_logo();
					else : 
						if ( is_front_page() ) : ?>
							<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<?php else : ?>
								<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
							<?php endif; ?>
							<!-- <p class="ht-site-description"><a href="<?php //echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php //bloginfo( 'description' ); ?></a></p> -->
						<?php endif; ?>
						<!-- .site-branding -->
					</div>

					<div class="clearfix"></div>
				</div>
				<div class="header-right col-md-5 col-sm-12 padding0">
					<div class="header-box">
							<?php 
							$phone = get_theme_mod('lz_fitness_headermain_phone', '012 345 6789');
							$phone1 = get_theme_mod('lz_fitness_headermain_phone1', '123 456 7890');
							$email = get_theme_mod('lz_fitness_headermain_email', 'support@business.com');	
							$email1 = get_theme_mod('lz_fitness_headermain_email1', 'info@businessweb.com');	

							?>
							<div class="header-right-box">
								<?php if($phone || $phone1){ ?>
									<div class="headbox col-md-5 col-sm-6 col-xs-12">
										<div class="col-md-3 col-sm-3 textcenter padding0">
										<i class="fa fa-phone" aria-hidden="true"></i>
										</div>
										<div class="col-md-9 col-sm-9">	
											<div class="contact-border">
												<div class="themetext"><a href="tel:<?php echo $phone;?>"><?php echo ($phone);  ?></a></div>
												<div class="clearfix"></div>
												<div class="themetext"><a href="tel:<?php echo $phone1;?>"><?php echo ($phone1);  ?></a></div>
											</div>
											<div class="clearfix"></div>
										</div>
									</div>
								<?php } ?>

								<?php if($email || $email1){ ?>
									<div class="headbox col-md-6 col-sm-6 col-xs-12">
										<div class="col-md-3 col-sm-3 textcenter padding0">
										<i class="fa fa-paper-plane" aria-hidden="true"></i>
										</div>
										<div class="col-md-9 col-sm-9 padding0">	
											<div class="contact-border">
												<div class="mailto"><a href="mailto:<?php echo $email;?>"><?php echo $email ;?></a></div>
												<div class="clearfix"></div>
												<div class="mailto"><a href="mailto:<?php echo $email1;?>"><?php echo $email1 ;?></a></div>
											</div>
											<div class="clearfix"></div>
										</div>
									</div>
								<?php } ?>
							</div>
							<div class="clearfix"></div>	
						</div><!--header-box-->
					</div>
					<div class="header-right col-md-3 col-sm-12">
						<?php

							$facebook = get_theme_mod('lz_fitness_header_fb', '//facebook.com/');
							$twitter = get_theme_mod('lz_fitness_header_tw', '//twitter.com/');
							//$googlePlus = get_theme_mod('lz_fitness_header_it', '//plus.google.com/');
							$instagram = get_theme_mod('lz_fitness_header_insta', '//www.instagram.com/');
							$linkedIn = get_theme_mod('lz_fitness_header_in', '//linkedin.com/');
							//$youtube = get_theme_mod('lz_fitness_header_yt', '//www.youtube.com/');
							?>
						<div class="header-social-links">
								<?php if(!empty($facebook)){ ?>
									<a href="<?php echo $facebook ?>" target="_blank" title="Facebook"><span class="fa fa-facebook"></span></a>
								<?php }?>
								<?php if(!empty($twitter)){ ?>
									<a href="<?php echo $twitter ?>" target="_blank" title="Twitter"><span class="fa fa-twitter"></span></a>
								<?php }?>
								<?php if(!empty($instagram)){ ?>
									<a href="<?php echo $instagram ?>" target="_blank" title="Instagram"><span class="fa fa-instagram"></span></a>
								<?php }?>
								<?php if(!empty($linkedIn)){ ?>
									<a href="<?php echo $linkedIn ?>" target="_blank" title="Linked In"><span class="fa fa-linkedin"></span></a>
								<?php }?>
							</div>

					</div>
					</div>
					<div class="clearfix"></div>
				</div>		
			<div class="heade-border">
				
				<div class="row"> 
							<!-- main header -->
							<div class="col-md-12 col-sm-12 col-xs-12 head-menu main-bar-wraper padding0">
								<!-- <div class="col-md-offset-2 inside-full-height"> -->

									<div class="container">
										<div class="top-bar-head">
											<div class="site-navigation ">
												<div class="hamburger-menus">
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
												</div>
												<nav class="navigation">
													<div class="overlaybg"></div><!--  /.overlaybg -->
													<!-- Main Menu -->
													<div class="menu-wrapper">
														<div class="menu-content">
															<?php
															if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
																wp_nav_menu ( array(
																	'menu_class' => 'mainmenu ht-clearfix',
																	'container'=> 'ul',
																	'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
																	'theme_location' => 'primary',  
																)); 
															} else {
																wp_nav_menu ( array(
																	'menu_class' => 'mainmenu ht-clearfix',
																	'container'=> 'ul',
																	'theme_location' => 'primary',  
																)); 
															}
															?>
														</div> <!-- /.hours-content-->
														<div class="col-md-2 col-sm-12 col-xs-12 header-btn">
								<?php if( get_theme_mod('cds_button_display','show' ) == 'show') :
							?>
							<div class="header-inquiry-btn">
								<?php
								$headerinquirytitle = get_theme_mod('lz_fitness_headermain_headerinquirytitle', 'QUICK INQUIRY'); 
								$headerinquiry = get_theme_mod('lz_fitness_header_headerinquiry', 'Quick Inquiry link here');
								?>
								<?php if(!empty($headerinquiry)){ ?>
									<div class='head-button'><a href="<?php echo $headerinquiry ?>" title="headerinquiry"><?php echo ($headerinquirytitle);  ?></a></div>
								<?php }?> 
							</div>
							<?php endif ?>
							<div class="clearfix"></div>
							</div>


														<div class="clearfix"></div>

													</div><!-- /.menu-wrapper --> 
												</nav>
												<div class="clearfix"></div>
											</div><!--  /.site-navigation -->

										</div>
									</div>
									<!-- </div> -->
								</div>
							</div>
							<!-- main header END -->
							<div class="clearfix"></div>
						</div>
					</header><!-- #masthead -->
	</div>
