<?php

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'negocio-business')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'negocio-business' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'negocio-business'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'negocio-business' ),
	'panel' => 'lz_fitness_general_panel',
) );

//HEADER LOGO MARGIN SETTINGS
$wp_customize->add_section(
	'lz_fitness_headerlogo_settings',
	array(
		'title' => __( 'Header Logo Margin Settings', 'negocio-business' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'lz_fitness_headerlogo_margin', 'lz_fitness_headerlogo_settings', ' Site Header Logo Margin:');


$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '10px', 'negocio-business' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Top Margin', 'negocio-business' )
	)
);


$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '10px', 'negocio-business' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Bottom Margin', 'negocio-business' )
	)
);


$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'negocio-business' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Left Margin', 'negocio-business' )
	)
);


$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'negocio-business' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Right Margin', 'negocio-business' )
	)
);




//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image', 'negocio-business' ),
	'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'negocio-business' ),
	'panel' => 'lz_fitness_general_panel',
) );



//HEADER SETTINGS
$wp_customize->add_section(
	'lz_fitness_header_settings',
	array(
		'title' => __( 'Header Settings', 'negocio-business' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

	//ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
	'lz_fitness_sticky_header_enable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);

$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_sticky_header_enable',
		array(
			'settings'		=> 'lz_fitness_sticky_header_enable',
			'section'		=> 'lz_fitness_header_settings',
			'label'			=> __( 'Sticky Header', 'negocio-business' ),
			'on_off_label' 	=> array(
				'on' => __( 'Enable', 'negocio-business' ),
				'off' => __( 'Disable', 'negocio-business' )
			)	
		)
	)
);

$sectionHeader = 'lz_fitness_header_settings';

//header
$wp_customize->add_setting(
	'lz_fitness_headermain_phone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '012 345 6789', 'negocio-business' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_phone',
	array(
		'settings'      => 'lz_fitness_headermain_phone',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Phone Number', 'negocio-business' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_headermain_phone1',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '123 456 7890', 'negocio-business' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_phone1',
	array(
		'settings'      => 'lz_fitness_headermain_phone1',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Another Phone Number', 'negocio-business' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_headermain_email',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'support@business.com', 'negocio-business' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_email',
	array(
		'settings'      => 'lz_fitness_headermain_email',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Email Address', 'negocio-business' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_headermain_email1',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'info@businessweb.com', 'negocio-business' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_email1',
	array(
		'settings'      => 'lz_fitness_headermain_email1',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Another Email Address', 'negocio-business' )
	)
);


// Adding the Label
lzCustomLable($wp_customize, 'lz_fitness_reservation_lblImgTxt', $sectionHeader, 'Social media icons');


// FACEBOOK 
$wp_customize->add_setting('lz_fitness_header_fb',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_fb',
	array(
		'settings'      => 'lz_fitness_header_fb',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'negocio-business' )
	)
);
// TWITTER
$wp_customize->add_setting('lz_fitness_header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_tw',
	array(
		'settings'      => 'lz_fitness_header_tw',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'negocio-business' )
	)
);
// GOOGLE PLUS
// $wp_customize->add_setting('lz_fitness_header_it', array('default' => 'https://plus.google.com', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('lz_fitness_header_it',
// 	array(
// 		'settings'      => 'lz_fitness_header_it',
// 		'section'       => 'lz_fitness_header_settings',
// 		'type'          => 'url',
// 		'label'         => __( 'Google Plus Url', 'negocio-business' )
// 	)
// );
// // Instagram
$wp_customize->add_setting('lz_fitness_header_insta', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_insta',
	array(
		'settings'      => 'lz_fitness_header_insta',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Instagram', 'negocio-business' )
	)
); 
// LINKED IN
$wp_customize->add_setting('lz_fitness_header_in',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_in',
	array(
		'settings'      => 'lz_fitness_header_in',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'negocio-business' )
	)
);


// // Youtube IN
// $wp_customize->add_setting('lz_fitness_header_yt',array('default'=> 'https://www.youtube.com','sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('lz_fitness_header_yt',
// 	array(
// 		'settings'      => 'lz_fitness_header_yt',
// 		'section'       => 'lz_fitness_header_settings',
// 		'type'          => 'url',
// 		'label'         => __( 'Youtube Url', 'negocio-business' )
// 	)
// );


 // header background color
 //addColorPalatOption($wp_customize, 'lz_fitness_header_TopHeaderbackgroundColor', 'lz_fitness_header_settings', 'Top Header Background color', '#fff'); 

 //addColorPalatOption($wp_customize, 'lz_fitness_header_TopHeaderborderColor', 'lz_fitness_header_settings', 'Top Header Border color', '#f4f4f4'); 

addColorPalatOption($wp_customize, 'lz_fitness_header_MedalHeaderbackgroundColor', 'lz_fitness_header_settings', 'Top Header Background color', '#fff'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_NavHeaderbackgroundColor', 'lz_fitness_header_settings', 'Main Header Background color', '#1cb9c8'); 


 //header main tagline color   
//addColorPalatOption($wp_customize, 'lz_fitness_header_taglineColor', 'lz_fitness_header_settings', ' Header main tagline color', '#464646'); 

//header icon color   
addColorPalatOption($wp_customize, 'lz_fitness_header_iconColor', 'lz_fitness_header_settings', ' Header icons color', '#fff'); 
//header icon hover color   
addColorPalatOption($wp_customize, 'lz_fitness_header_iconhoverColor', 'lz_fitness_header_settings', ' Header icons hover color', '#1cb9c8'); 

//header icon bg color   
addColorPalatOption($wp_customize, 'lz_fitness_header_iconbgColor', 'lz_fitness_header_settings', ' Header icons background color', '#1cb9c8'); 

//header phone text color   
addColorPalatOption($wp_customize, 'lz_fitness_header_titleColor', 'lz_fitness_header_settings', ' header phone number color', '#464646'); 

//header phone text hover color   
addColorPalatOption($wp_customize, 'lz_fitness_header_titlehoverColor', 'lz_fitness_header_settings', ' header phone number hover color', '#1cb9c8'); 

//header email color   
addColorPalatOption($wp_customize, 'lz_fitness_header_emailColor', 'lz_fitness_header_settings', ' header email color', '#464646'); 

//header email hover color   
addColorPalatOption($wp_customize, 'lz_fitness_header_emailhoverColor', 'lz_fitness_header_settings', ' header email hover color', '#1cb9c8'); 

//header contact box border color   
//addColorPalatOption($wp_customize, 'lz_fitness_header_contactboxborderColor', 'lz_fitness_header_settings', ' header contact box border color', '#f4f4f4'); 



 //header social color   
addColorPalatOption($wp_customize, 'lz_fitness_header_socialColor', 'lz_fitness_header_settings', ' Header social color', '#464949');

 //header social bg color   
addColorPalatOption($wp_customize, 'lz_fitness_header_socialbgColor', 'lz_fitness_header_settings', ' Header social background color', '#eaeaea'); 

//header social hover color   
addColorPalatOption($wp_customize, 'lz_fitness_header_socialhoverColor', 'lz_fitness_header_settings', ' Header social hover color', '#1cb9c8');

 //header social bg hover color   
addColorPalatOption($wp_customize, 'lz_fitness_header_socialbghoverColor', 'lz_fitness_header_settings', ' Header social background hover color', '#fff'); 

lzCustomLable($wp_customize, 'lz_fitness_header_clrlblImgTxt', 'lz_fitness_header_settings', 'Set Header Menu Colors:');

//Set header menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headermenu_color', 'lz_fitness_header_settings', 'Header Menu Color', '#fff');

//Set header current menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headercurrentmenu_color', 'lz_fitness_header_settings', 'Header Current Menu Color', '#fff');

//Set header menu hover colour
addColorPalatOption($wp_customize, 'lz_fitness_headermenuhover_color', 'lz_fitness_header_settings', 'Header Menu Hover Color', '#fff');

//Set header current menu bg colour
addColorPalatOption($wp_customize, 'lz_fitness_headercurrentmenubg_color', 'lz_fitness_header_settings', 'Header Current Menu Background Color', '#45494a');

//Set header menu hover bg colour
addColorPalatOption($wp_customize, 'lz_fitness_headermenuhoverbg_color', 'lz_fitness_header_settings', 'Header Menu Hover Background Color', '#45494a');


//Set header sub menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenu_color', 'lz_fitness_header_settings', 'Header Sub Menu Color', '#fff');
//Set header dropdown Background colour
addColorPalatOption($wp_customize, 'lz_fitness_headerdropdownbg_color', 'lz_fitness_header_settings', 'Header dropdown Background Color', '#1cb9c8');

//Set header dropdown border colour
addColorPalatOption($wp_customize, 'lz_fitness_headerdropdownborder_color', 'lz_fitness_header_settings', 'Header dropdown Border Color', '#272727');


//Set header sub menu hover colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenuhover_color', 'lz_fitness_header_settings', 'Header Sub Menu Hover Color', '#000');

//Set header sub menu arrow hover colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenuarrowhover_color', 'lz_fitness_header_settings', 'Header Sub Menu Arrow Hover Color', '#000');


//Set header current sub menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headercurrentsubmenu_color', 'lz_fitness_header_settings', 'Header Current Sub Menu Color', '#fff');

//Set header current sub menu bg colour
addColorPalatOption($wp_customize, 'lz_fitness_headercurrentsubmenubg_color', 'lz_fitness_header_settings', 'Header Current Sub Menu Background Color', '#45494a');

 
lzCustomLable($wp_customize, 'lz_fitness_premium_header_lblbutton1display', 'lz_fitness_header_settings', 'Header QUICK INQUIRY Button Display & Text Setting:');
// to show & hide another button
$wp_customize->add_setting( 'cds_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'cds_button_display', array( 'label' => 'Button Display', 'section' => 'lz_fitness_header_settings', 'settings' => 'cds_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
	'lz_fitness_headermain_headerinquirytitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'QUICK INQUIRY' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_headerinquirytitle',
	array(
		'settings'      => 'lz_fitness_headermain_headerinquirytitle',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Header Button Text', 'negocio-business' )
	)
);
$wp_customize->add_setting('lz_fitness_header_headerinquiry',	array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_headerinquiry',
	array(
		'settings'      => 'lz_fitness_header_headerinquiry',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Add "Header Button" link here', 'negocio-business' )
	)
);

lzCustomLable($wp_customize, 'lz_fitness_header_clrlbtnTxt', 'lz_fitness_header_settings', 'Set Header Button Colors:');

//Set header button colour
addColorPalatOption($wp_customize, 'lz_fitness_headerbtn_color', 'lz_fitness_header_settings', 'Header Button Color', '#fff');

//Set header button bg colour
addColorPalatOption($wp_customize, 'lz_fitness_headerbtnbg_color', 'lz_fitness_header_settings', 'Header Button Background Color', '#45494a');

//Set header button hover colour
addColorPalatOption($wp_customize, 'lz_fitness_headerbtnhover_color', 'lz_fitness_header_settings', 'Header Button Hover Color', '#1cb9c8');

//Set header button bg hover colour
addColorPalatOption($wp_customize, 'lz_fitness_headerbtnbghover_color', 'lz_fitness_header_settings', 'Header Button Background Hover Color', '#000');

addColorPalatOption($wp_customize, 'lz_fitness_header_ToggleColor', 'lz_fitness_header_settings', 'Toggle Bar Color For Tablet & Mobile Screen', '#1cb9c8'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_BorderRespColor', 'lz_fitness_header_settings', 'Navigation Box Border Color For Tablet & Mobile Screen', '#252525'); 

// lzCustomLable($wp_customize, 'lz_fitness_header_clrlsearchTxt', 'lz_fitness_header_settings', 'Set Header Search Colors:');

// //Set header search icon colour
// addColorPalatOption($wp_customize, 'lz_fitness_headersearchicon_color', 'lz_fitness_header_settings', 'Header Search Icon Color', '#fff');

// //Set header search text colour
// addColorPalatOption($wp_customize, 'lz_fitness_headersearchtext_color', 'lz_fitness_header_settings', 'Header Search Text Color', '#fff');

// //Set header search text border colour
// addColorPalatOption($wp_customize, 'lz_fitness_headersearchtextborder_color', 'lz_fitness_header_settings', 'Header Search Text Border Color', '#f4f4f4');

// //Set header search btn bg hover colour
// addColorPalatOption($wp_customize, 'lz_fitness_headersearchbtnbghover_color', 'lz_fitness_header_settings', 'Header Search Button Border Color', '#47484a');


//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'negocio-business'),
	'panel' => 'lz_fitness_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'lz_fitness_template_color', 'colors', 'Theme Primary Color', '#1cb9c8');

//Inner page title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_titlecolor', 'colors', 'Inner page title color', '#fff');
//Inner page background color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_bgcolor', 'colors', 'Inner page backgroundcolor', '#45494a');

//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'lz_fitness_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'lz_fitness_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

// end to show & hide button


//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbtitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox title color', '#000');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbcurrenttitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title color', '#1cb9c8');

//Inner page breadcrumbbox background color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbbgcolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox background color', '#fff');

//Inner page breadcrumbbox border color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbordercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox border color', '#1cb9c8');


//INNER SERVICES PAGE COLOR SETTINGS
$wp_customize->add_section(
	'lz_fitness_services_page_settings',
	array(
		'title' => __( 'Inner Services Page Settings', 'negocio-business' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

// image hover color
addColorPalatOption($wp_customize, 'lz_featuredinnerimghover_Color', 'lz_fitness_services_page_settings', 'Image overlay color', '#1cb9c8');

//number color
addColorPalatOption($wp_customize, 'lz_featuredinnernum_Color', 'lz_fitness_services_page_settings', 'Services number color', '#3a3c3d');

// number hover color
addColorPalatOption($wp_customize, 'lz_featuredinnernumhover_Color', 'lz_fitness_services_page_settings', 'Services number hover color', '#fff');

// border color
addColorPalatOption($wp_customize, 'lz_featuredinnerborder_Color', 'lz_fitness_services_page_settings', 'Border color', '#d2d2d2');

// title color
addColorPalatOption($wp_customize, 'lz_featuredinnertitle_Color', 'lz_fitness_services_page_settings', 'Title color', '#292929');

// text color
addColorPalatOption($wp_customize, 'lz_featuredinnertext_Color', 'lz_fitness_services_page_settings', 'Text color', '#383838');

// title hover color
addColorPalatOption($wp_customize, 'lz_featuredinnertitlehover_Color', 'lz_fitness_services_page_settings', 'Title hover color', '#fff');

// text hover color
addColorPalatOption($wp_customize, 'lz_featuredinnertexthover_Color', 'lz_fitness_services_page_settings', 'Text hover color', '#fff');

//box bg color
addColorPalatOption($wp_customize, 'lz_featuredboxinnerbg_Color', 'lz_fitness_services_page_settings', 'Box background color', '#faf8f5');

// // btn text color
// addColorPalatOption($wp_customize, 'lz_featuredinnerbtntext_Color', 'lz_fitness_services_page_settings', 'Button text color', '#fff');

// // btn bg color
// addColorPalatOption($wp_customize, 'lz_featuredinnerbtnbg_Color', 'lz_fitness_services_page_settings', 'Button background color', '#3a3c3d');

// // btn text hover color
// addColorPalatOption($wp_customize, 'lz_featuredinnerbtntexthover_Color', 'lz_fitness_services_page_settings', 'Button text hover color', '#fff');

// // btn bg hover color
// addColorPalatOption($wp_customize, 'lz_featuredinnerbtnbghover_Color', 'lz_fitness_services_page_settings', 'Button background hover color', '#1cb9c8');

//INNER TEAM PAGE COLOR SETTINGS
$wp_customize->add_section(
	'team_page_settings',
	array(
		'title' => __( 'Inner Team Page Settings', 'negocio-business' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

// title color
addColorPalatOption($wp_customize, 'teaminner_TitleColor', 'team_page_settings', 'Title color', '#292929');

// title hover color
addColorPalatOption($wp_customize, 'teaminner_TitlehoverColor', 'team_page_settings', 'Title hover color', '#fff');

// desg color
addColorPalatOption($wp_customize, 'teaminner_DesColor', 'team_page_settings', 'Designation color', '#1cb9c8');

// desg hover color
addColorPalatOption($wp_customize, 'teaminner_DeshoverColor', 'team_page_settings', 'Designation hover color', '#fff');

// img hover overlay color
addColorPalatOption($wp_customize, 'teaminner_imghoveroverlayColor', 'team_page_settings', 'Image hover overlay color', '#1cb9c8');

// social color
addColorPalatOption($wp_customize, 'teaminner_SocialColor', 'team_page_settings', 'Social color', '#4b4b4b');

// social border color
addColorPalatOption($wp_customize, 'teaminner_SocialborderColor', 'team_page_settings', 'Social border color', '#4b4b4b');

// social hover color
addColorPalatOption($wp_customize, 'teaminner_SocialhoverColor', 'team_page_settings', 'Social hover color', '#1cb9c8');

// social border hover color
addColorPalatOption($wp_customize, 'teaminner_SocialborderhoverColor', 'team_page_settings', 'Social border hover color', '#1cb9c8');

//INNER TESTIMONIALS PAGE COLOR SETTINGS
$wp_customize->add_section(
	'testimonialal_page_settings',
	array(
		'title' => __( 'Inner Testimonial Page Settings', 'negocio-business' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

// text color
addColorPalatOption($wp_customize, 'testimonialalsinner_TextColor', 'testimonialal_page_settings', 'Testimonial color', '#fff');

// title color
addColorPalatOption($wp_customize, 'testimonialalsinner_TitleColor', 'testimonialal_page_settings', 'Title color', '#fff');

// desg color
addColorPalatOption($wp_customize, 'testimonialalsinner_desgColor', 'testimonialal_page_settings', 'Designation color', '#fff');

// desg hover color
addColorPalatOption($wp_customize, 'testimonialalsinner_desghoverColor', 'testimonialal_page_settings', 'Designation hover color', '#1cb9c8');


// desg icon color
addColorPalatOption($wp_customize, 'testimonialalsinner_desgiconColor', 'testimonialal_page_settings', 'Designation icon color', '#fff');

// Box color
addColorPalatOption($wp_customize, 'testimonialalsinner_boxColor', 'testimonialal_page_settings', 'Box color', '#45494a');

// Box border color
addColorPalatOption($wp_customize, 'testimonialalsinner_boxborderColor', 'testimonialal_page_settings', 'Box border color', '#000');

// Box icon color
addColorPalatOption($wp_customize, 'testimonialalsinner_boxiconColor', 'testimonialal_page_settings', 'Box icon color', '#fff');

// Box icon bg color
addColorPalatOption($wp_customize, 'testimonialalsinner_boxiconbgColor', 'testimonialal_page_settings', 'Box icon background color', '#1cb9c8');


//INNER PROJECT PAGE COLOR SETTINGS
$wp_customize->add_section(
	'project_page_settings',
	array(
		'title' => __( 'Inner Project Page Settings', 'negocio-business' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

// title color
addColorPalatOption($wp_customize, 'project_ProjectinnertitleColor', 'project_page_settings', 'Title color', '#fff');

// title bg color
addColorPalatOption($wp_customize, 'project_ProjectinnertitlebgsColor', 'project_page_settings', 'Title hover color', '#1cb9c8');

// overlay color
addColorPalatOption($wp_customize, 'project_ProjectoverlayinnerbgsColor', 'project_page_settings', 'Overlay color', '#1cb9c8');

// btn color
addColorPalatOption($wp_customize, 'project_innerviewbtnColor', 'project_page_settings', 'Button text color', '#000');

// btn hover color
addColorPalatOption($wp_customize, 'project_innerviewbtnhoverColor', 'project_page_settings', 'Button text hover color', '#fff');

//INNER GALLERY PAGE COLOR SETTINGS
$wp_customize->add_section(
	'gallery_page_settings',
	array(
		'title' => __( 'Inner Gallery Page Settings', 'negocio-business' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

// img border color
addColorPalatOption($wp_customize, 'galleryinner_imgborderColor', 'gallery_page_settings', 'Image border color', '#c1c1c1');

// img border hover color
addColorPalatOption($wp_customize, 'galleryinner_imgborderhoverColor', 'gallery_page_settings', 'Image border hover color', '#1cb9c8');

// img overlay color
//addColorPalatOption($wp_customize, 'galleryinner_imgoverlayColor', 'gallery_page_settings', 'Image overlay color', '#fff');

 
//INNER FAQS PAGE COLOR SETTINGS
$wp_customize->add_section(
	'lz_fitness_faqs_page_settings',
	array(
		'title' => __( 'Inner FAQS Page Settings', 'negocio-business' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//ques border color
addColorPalatOption($wp_customize, 'lz_fitness_faqsinner_QborderColor', 'lz_fitness_faqs_page_settings', 'Question border color', '#000');

//ques dark border color
addColorPalatOption($wp_customize, 'lz_fitness_faqsinner_QdarkborderColor', 'lz_fitness_faqs_page_settings', 'Question dark border color', '#1cb9c8');

//ques bg color
addColorPalatOption($wp_customize, 'lz_fitness_faqsinner_QbgColor', 'lz_fitness_faqs_page_settings', 'Question background color', '#44494a');
//ques text color
addColorPalatOption($wp_customize, 'lz_fitness_faqsinner_QtextColor', 'lz_fitness_faqs_page_settings', 'Question text color', '#fff');

//down arrow text color
addColorPalatOption($wp_customize, 'lz_fitness_faqsinner_QdownarrowColor', 'lz_fitness_faqs_page_settings', 'Question  arrow color', '#fff');

//ans text color
addColorPalatOption($wp_customize, 'lz_fitness_faqsinner_AtextColor', 'lz_fitness_faqs_page_settings', 'Answer text color', '#333333');

//ans bg color
addColorPalatOption($wp_customize, 'lz_fitness_faqsinner_AbgColor', 'lz_fitness_faqs_page_settings', 'Answer background color', '#fff');

//ans bg hover color
addColorPalatOption($wp_customize, 'lz_fitness_faqsinner_AbghoverColor', 'lz_fitness_faqs_page_settings', 'Answer background hover color', '#f1f1f1');

//ans border color
addColorPalatOption($wp_customize, 'lz_fitness_faqsinner_AborderColor', 'lz_fitness_faqs_page_settings', 'Answer border color', '#cdcdcd');



  
//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'lz_fitness_footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

$wp_customize->add_setting(
	'lz_fitness_footer_copyrighttext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Copyright © 2019 Negocio Business. All Rights Reserved', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_footer_copyrighttext',
	array(
		'settings'      => 'lz_fitness_footer_copyrighttext',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
	)
);

backgroundManager($wp_customize, 'footer', 'lz_fitness_footer_copyright_settings', $color='#fff', get_template_directory_uri().'/images/footer-bg.jpg', 'color');



//theme Footer title Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_title_color', 'lz_fitness_footer_copyright_settings', 'Footer Title Color', '#fff');

//theme Footer icon Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_icon_color', 'lz_fitness_footer_copyright_settings', 'Footer Icon Color', '#fff');

//theme Footer icon hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_iconhover_color', 'lz_fitness_footer_copyright_settings', 'Footer Icon Hover Color', '#1cb9c8');

//theme Footer text Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_text_color', 'lz_fitness_footer_copyright_settings', 'Footer Text Color', '#fff');

//theme Footer menu Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_menu_color', 'lz_fitness_footer_copyright_settings', 'Footer Menu Color', '#fff');

//theme Footer menu hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_menuhover_color', 'lz_fitness_footer_copyright_settings', 'Footer Menu Hover Color', '#1cb9c8');

//theme Footer menu date Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_menudate_color', 'lz_fitness_footer_copyright_settings', 'Footer Menu Date Color', '#fff');

//theme Footer menu icon Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_menuicon_color', 'lz_fitness_footer_copyright_settings', 'Footer Menu Icon Color', '#fff');


//theme Footer menu icon hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_menuiconhover_color', 'lz_fitness_footer_copyright_settings', 'Footer Menu Icon Hover Color', '#1cb9c8');


//theme Footer form Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_form_color', 'lz_fitness_footer_copyright_settings', 'Footer Form Color', '#fff');

//theme Footer form border Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_formborder_color', 'lz_fitness_footer_copyright_settings', 'Footer Form Border Color', '#fff');

//theme Footer form button Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_formbtn_color', 'lz_fitness_footer_copyright_settings', 'Footer Form Button Color', '#fff');

//theme Footer Form Button Background Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_formbtnbg_color', 'lz_fitness_footer_copyright_settings', 'Footer Form Button Background Color', '#1cb9c8');

//theme Footer social Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_social_color', 'lz_fitness_footer_copyright_settings', 'Footer Social Color', '#8d8d8e');

//theme Footer social Hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_socialhover_color', 'lz_fitness_footer_copyright_settings', 'Footer Social Hover Color', '#fff');

//theme Footer Social Background Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_socialbg_color', 'lz_fitness_footer_copyright_settings', 'Footer Social Background Color', '#1b1c1c');
//theme Footer Social Background hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_socialbghover_color', 'lz_fitness_footer_copyright_settings', 'Footer Social Background hover Color', '#1cb9c8');


//theme Footer Social border Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_socialborder_color', 'lz_fitness_footer_copyright_settings', 'Footer  Social Border Color', '#8d8d8e');

//theme Footer Social border hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_socialborderhover_color', 'lz_fitness_footer_copyright_settings', 'Footer  Social Border Hover Color', '#fff');


//theme Copyright Footer Border Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_copyrightborder_color', 'lz_fitness_footer_copyright_settings', 'Copyright Footer Border Color', '#fff');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_copyrighttext_color', 'lz_fitness_footer_copyright_settings', 'Copyright Footer Text Color', '#fff');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'lz_fitness_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'lz_fitness_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Sidebar', 'hide' => 'Hide Sidebar', ), ) ); 