<?php 
/**
 * Createing an about us pannel for customizer
 *
 */
// TEAM SECTION START HERE 
/*============TEAM SECTION PANEL============*/
$wp_customize->add_section(
	'gallery_section',
	array(
		'title'         => __( 'Gallary Section', 'negocio-business' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
	'gallery_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'gallery_section_disable',
		array(
			'settings'      => 'gallery_section_disable',
			'section'       => 'gallery_section',
			'label'         => __( 'Disable Section', 'negocio-business' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'negocio-business' ),
				'off' => __( 'No', 'negocio-business' )
			)   
		)
	)
);


backgroundManager($wp_customize, 'gallery', 'gallery_section', $color='#fff', get_template_directory_uri().'/images/gallery-bg.jpg', 'color');

$wp_customize->add_setting(
	'gallery_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'gallery_title_subtitle_heading',
		array(
			'settings'      => 'gallery_title_subtitle_heading',
			'section'       => 'gallery_section',
			'label'         => __( 'Section Title', 'negocio-business' ),
		)
	)
);
$wp_customize->add_setting(
	'gallery_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Photo Gallery', 'negocio-business' )
	)
);
$wp_customize->add_control(
	'gallery_title',
	array(
		'settings'      => 'gallery_title',
		'section'       => 'gallery_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'negocio-business' )
	)
);

$wp_customize->add_setting(
	'gallery_titlebgtext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'AWESOME', 'negocio-business' )
	)
);
$wp_customize->add_control(
	'gallery_titlebgtext',
	array(
		'settings'      => 'gallery_titlebgtext',
		'section'       => 'gallery_section',
		'type'          => 'text',
		'label'         => __( 'Title background text', 'negocio-business' )
	)
);

$wp_customize->add_setting(
	'gallery_sub_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Photo Gallery', 'negocio-business', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'gallery_sub_title',
	array(
		'settings'      => 'gallery_sub_title',
		'section'       => 'gallery_section',
		'type'          => 'text',
		'label'         => __( 'Sub Title', 'Luzuk Premium' )
	)
);
// Heading color
addColorPalatOption($wp_customize, 'gallery_HeadingColor', 'gallery_section', 'Heading color', '#fff');

// Heading border color
addColorPalatOption($wp_customize, 'gallery_HeadingborderColor', 'gallery_section', 'Heading border color', '#fff');

 // Heading  bg text color
addColorPalatOption($wp_customize, 'gallery_HeadingbgtextColor', 'gallery_section', 'Heading background text color', '#5e5d5b');


//Sub  Heading color
addColorPalatOption($wp_customize, 'gallery_SubHeadingColor', 'gallery_section', 'Sub Heading color', '#fff');

$wp_customize->add_setting('gallery_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'gallery_npp_heading',
		array(
			'settings'      => 'gallery_npp_heading',
			'section'       => 'gallery_section',
			'label'         => __( 'Number Of gallary images to show', 'negocio-business' ),
		)
	)
);    
$wp_customize->add_setting('gallery_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 7));
$wp_customize->add_control(
	'gallery_npp_count',
	array(
		'settings'      => 'gallery_npp_count',
		'section'       => 'gallery_section',
		'type'          => 'select',
		'label'         => __( 'Number of gallary images to show', 'negocio-business' ),
		'choices'=>array(1,2,3,4,5,6,7,8)
	)
);

// TEAM PAGES
for( $i = 1; $i <= 8; $i++ ){
	$wp_customize->add_setting(
		'gallery_heading'.$i,
		array(
			'sanitize_callback' => 'lz_fitness_sanitize_text'
		)
	);
	$wp_customize->add_control(
		new lz_fitness_Customize_Heading(
			$wp_customize,
			'gallery_heading'.$i,
			array(
				'settings'      => 'gallery_heading'.$i,
				'section'       => 'gallery_section',
				'label'         => __( ' Image ', 'negocio-business' ).$i, 
			)
		)
	);
	if(is_array($lzFitnessGallerySingleChoice)){
		$wp_customize->add_setting(
			'gallery_page'.$i,
			array(
				'sanitize_callback' => 'absint'
			)
		);
		$wp_customize->add_control(
			'gallery_page'.$i,
			array(
				'settings'      => 'gallery_page'.$i,
				'section'       => 'gallery_section',
				'type'=> 'select',
				'label'         => __( 'Select a Gallary Image', 'negocio-business' ),
				'choices' => $lzFitnessGallerySingleChoice,
			)
		);
	}else{
		$wp_customize->add_setting('gallery_section_lbl'.$i, array('sanitize_callback'=>'lz_fitness_sanitize_text'));
		$wp_customize->add_control(
			new lz_fitness_Info_Text( 
				$wp_customize,
				'gallery_section_lbl'.$i,
				array(
					'settings'		=> 'gallery_section_lbl'.$i,
					'section'		=> 'gallery_section',
					'label'			=> __( 'Note:', 'negocio-business' ),	
					'description'	=> __( '<strong>Changes will not reflect unless you select the gallery Image.</strong> <br/>Please add the gallary team from "Gallary menu" and then select gallary Image to show information.', 'negocio-business' ),
				)
			)
		);
	}
}


// Image hover box color
addColorPalatOption($wp_customize, 'gallery_imghoverboxColor', 'gallery_section', 'Image hover box color', '#f02b6c');

// Image hover box title color
addColorPalatOption($wp_customize, 'gallery_imghoverboxtitleColor', 'gallery_section', 'Image hover box title color', '#fff');

// TEAM SECTION END HERE 