<?php 
/**
 * Customiser section for featured
 **/
// Featured Section
$wp_customize->add_section(
    'lz_fitness_featured_section',
    array(
        'title'         => __( 'Services Section', 'negocio-business' ),
        'panel'   => 'lz_fitness_premium_home_panel',
    )
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
    'lz_fitness_featured_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_featured_section_disable',
        array(
            'settings'      => 'lz_fitness_featured_section_disable',
            'section'       => 'lz_fitness_featured_section',
            'label'         => __( 'Disable Section', 'negocio-business' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'negocio-business' ),
                'off' => __( 'No', 'negocio-business' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'featured', 'lz_fitness_featured_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


$wp_customize->add_setting(
    'lz_fitness_featured_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_featured_title_sub_title_heading',
        array(
            'settings'      => 'lz_fitness_featured_title_sub_title_heading',
            'section'       => 'lz_fitness_featured_section',
            'label'         => __( 'Section Title', 'negocio-business' ),
        )
    )
);
$wp_customize->add_setting(
    'lz_fitness_featured_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'OUR SERVICES', 'negocio-business' )
    )
);
$wp_customize->add_control(
    'lz_fitness_featured_title',
    array(
        'settings'      => 'lz_fitness_featured_title',
        'section'       => 'lz_fitness_featured_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'negocio-business' )
    )
);

// Heading color
addColorPalatOption($wp_customize, 'lz_featured_HeadingColor', 'lz_fitness_featured_section', 'Heading color','#303030');
// Text color
addColorPalatOption($wp_customize, 'lz_featured_borderColor', 'lz_fitness_featured_section', 'Border color', '#1cb9c8');


$wp_customize->add_setting('lz_fitness_featured_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_featured_npp_heading',
        array(
            'settings'      => 'lz_fitness_featured_npp_heading',
            'section'       => 'lz_fitness_featured_section',
            'label'         => __( 'Number Of services to show', 'negocio-business' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_featured_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 5));
$wp_customize->add_control(
    'lz_fitness_featured_npp_count',
    array(
        'settings'      => 'lz_fitness_featured_npp_count',
        'section'       => 'lz_fitness_featured_section',
        'type'          => 'select',
        'label'         => __( 'Number of services to show', 'negocio-business' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9)
    )
);

// TEAM PAGES
for( $i = 1; $i <= 9; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_featured_heading'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_featured_heading'.$i,
            array(
                'settings'      => 'lz_fitness_featured_heading'.$i,
                'section'       => 'lz_fitness_featured_section',
                'label'         => __( 'Services ', 'negocio-business' ).$i,
            )
        )
    ); 
    if(is_array($lzFitnessfeaturesSingleChoice)){
        $wp_customize->add_setting(
            'lz_fitness_featured_page'.$i,
            array(
                'sanitize_callback' => 'absint'
            )
        );
        $wp_customize->add_control(
            'lz_fitness_featured_page'.$i,
            array(
                'settings'      => 'lz_fitness_featured_page'.$i,
                'section'       => 'lz_fitness_featured_section',
                'type'=> 'select',
                'label'         => __( 'Select a service', 'negocio-business' ),
                'choices' => $lzFitnessfeaturesSingleChoice,
            )
        );
    }else{
        $wp_customize->add_setting('lz_fitness_Service_section_lbl'.$i, array('sanitize_callback'=>'lz_fitness_sanitize_text'));
        $wp_customize->add_control(
            new lz_fitness_Info_Text( 
                $wp_customize,
                'lz_fitness_Service_section_lbl'.$i,
                array(
                    'settings'      => 'lz_fitness_Service_section_lbl'.$i,
                    'section'       => 'lz_fitness_featured_section',
                    'label'         => __( 'Note:', 'negocio-business' ), 
                    'description'   => __( '<strong>Changes will not reflect unless you select a service.</strong> <br/>Please add the service from "Service menu" and then select service to show information.', 'negocio-business' ),
                )
            )
        );
    }
}

// image hover color
addColorPalatOption($wp_customize, 'lz_featuredimghover_Color', 'lz_fitness_featured_section', 'Image overlay color', '#1cb9c8');

// number color
addColorPalatOption($wp_customize, 'lz_featurednum_Color', 'lz_fitness_featured_section', 'Services Number color', '#3a3c3d');

// border color
addColorPalatOption($wp_customize, 'lz_featuredborder_Color', 'lz_fitness_featured_section', 'Border color', '#d2d2d2');

// title color
addColorPalatOption($wp_customize, 'lz_featuredtitle_Color', 'lz_fitness_featured_section', 'Title color', '#292929');

// title hover color
addColorPalatOption($wp_customize, 'lz_featuredtitlehover_Color', 'lz_fitness_featured_section', 'Title hover color', '#1cb9c8');

// text color
addColorPalatOption($wp_customize, 'lz_featuredtext_Color', 'lz_fitness_featured_section', 'Text color', '#383838');

// Box bg color
addColorPalatOption($wp_customize, 'lz_featuredboxbg_Color', 'lz_fitness_featured_section', 'Box background color', '#faf8f5');

// btn text color
//addColorPalatOption($wp_customize, 'lz_featuredbtntext_Color', 'lz_fitness_featured_section', 'Button text color', '#fff');

// btn bg color
//addColorPalatOption($wp_customize, 'lz_featuredbtnbg_Color', 'lz_fitness_featured_section', 'Button background color', '#3a3c3d');

// btn text hover color
//addColorPalatOption($wp_customize, 'lz_featuredbtntexthover_Color', 'lz_fitness_featured_section', 'Button text hover color', '#fff');

// btn bg hover color
//addColorPalatOption($wp_customize, 'lz_featuredbtnbghover_Color', 'lz_fitness_featured_section', 'Button background hover color', '#1cb9c8');